﻿@model List<Reporting.Models.MapModel>
@using MoreLinq

<div class="container">
    <div id="map" style="height: 600px;"></div>
</div>


@section Scripts {
    @{

        <script>
            var mymap = L.map('map').setView([0,0], 100);
            var reports = [];
            var cities = [];
            @foreach (var report in Model)
	        {
                @:reports.push(@Html.Raw(Json.Serialize(report)));
	        }
            @foreach (var city in Model.Select(x => x.City).DistinctBy(x => x.CityId))
	        {
                @:cities.push(@Html.Raw(Json.Serialize(city)));
	        }
            for (let city of cities) {
                L.marker([city.latitude, city.longitude]).addTo(mymap).bindPopup("<b>Città:</b><br /><span>" + city.name + "</span>").openPopup();
            }
            for (let report of reports) {
                L.circle([report.city.latitude, report.city.longitude], report.quantity, {
                    color: 'red',
                    fillColor: '#f03',
                    fillOpacity: 0.5
                }).addTo(mymap);
            }
            L.tileLayer('https://api.mapbox.com/styles/v1/{id}/tiles/{z}/{x}/{y}?access_token=pk.eyJ1IjoibWFwYm94IiwiYSI6ImNpejY4NXVycTA2emYycXBndHRqcmZ3N3gifQ.rJcFIG214AriISLbB6B5aw', {
                maxZoom: 18,
                attribution: 'Map data &copy; <a href="https://www.openstreetmap.org/">OpenStreetMap</a> contributors, ' +
                    '<a href="https://creativecommons.org/licenses/by-sa/2.0/">CC-BY-SA</a>, ' +
                    'Imagery © <a href="https://www.mapbox.com/">Mapbox</a>',
                id: 'mapbox/streets-v11',
                tileSize: 512,
                zoomOffset: -1
            }).addTo(mymap);
        </script>
    }
}